ODFPY 1.2.0 |

All Classes Namespaces Files Functions Variables
Classes | Variables
odf.odf2xhtml Namespace Reference

## Classes
class | ODF2XHTML
| The ODF2XHTML parses an ODF file and produces XHTML. More...
class | ODF2XHTMLembedded
| The ODF2XHTML parses an ODF file and produces XHTML. More...
class | StyleToCSS
| The purpose of the StyleToCSS class is to contain the rules to convert ODF styles to CSS2. More...
class | TagStack

## Variables
dictionary | special_styles

## Variable Documentation

dictionary odf.odf2xhtml.special_styles

Initial value:
1 = {
2 'S-Emphasis':'em',
3 'S-Citation':'cite',
4 'S-Strong_20_Emphasis':'strong',
5 'S-Variable':'var',
6 'S-Definition':'dfn',
7 'S-Teletype':'tt',
8 'P-Heading_20_1':'h1',
9 'P-Heading_20_2':'h2',
10 'P-Heading_20_3':'h3',
11 'P-Heading_20_4':'h4',
12 'P-Heading_20_5':'h5',
13 'P-Heading_20_6':'h6',
14 # 'P-Caption':'caption',
15 'P-Addressee':'address',
16 # 'P-List_20_Heading':'dt',
17 # 'P-List_20_Contents':'dd',
18 'P-Preformatted_20_Text':'pre',
19 # 'P-Table_20_Heading':'th',
20 # 'P-Table_20_Contents':'td',
21 # 'P-Text_20_body':'p'
22 }

Definition at line 332 of file odf2xhtml.py.